# buildforkernels macro hint: when you build a new version or a new release
# that contains bugfixes or other improvements then you must disable the
# "buildforkernels newest" macro for just that build; immediately after
# queuing that build enable the macro again for subsequent builds; that way
# a new akmod package will only get build when a new one is actually needed
#global buildforkernels newest

Name:		crystalhd-kmod
Summary:	Kernel module (kmod) for crystalhd
Version:	20131018
Release:	2%{?dist}.5
License:	GPLv2
Group:		System Environment/Kernel
URL:		git://linuxtv.org/jarod/crystalhd.git
Source0:	crystalhd-kmod-%{version}.tar.xz
Source1:        crystalhd-Makefile
Source2:        crystalhd-Kconfig
Source11:	crystalhd-kmodtool-excludekernel-filterfile
Patch0:         crystalhd-fix.patch
# get the needed BuildRequires (in parts depending on what we build for)
BuildRequires:	%{_bindir}/kmodtool
%{!?kernels:BuildRequires: buildsys-build-rpmfusion-kerneldevpkgs-%{?buildforkernels:%{buildforkernels}}%{!?buildforkernels:current}-%{_target_cpu} }
BuildRequires:  unifdef
#_kmod_build_3.12.7-300.fc20.armv7hl/crystalhd_hw.c:30:21:
# fatal error: asm/tsc.h: No such file or directory
ExclusiveArch:  i686 x86_64


# kmodtool does its magic here
%{expand:%(kmodtool --target %{_target_cpu} --repo rpmfusion --kmodname %{name} %{?buildforkernels:--%{buildforkernels}} %{?kernels:--for-kernels "%{?kernels}"} 2>/dev/null) }

%description
CrystalHD extra modules.

%prep
# error out if there was something wrong with kmodtool
%{?kmodtool_check}
# print kmodtool output for debugging purposes:
kmodtool  --target %{_target_cpu} --repo rpmfusion --kmodname %{name} %{?buildforkernels:--%{buildforkernels}} %{?kernels:--for-kernels "%{?kernels}"} 2>/dev/null

%setup -q
#Copied from kernel sources
install -pm 0644 %{SOURCE1} drivers/staging/crystalhd/Makefile
install -pm 0644 %{SOURCE2} drivers/staging/crystalhd/Kconfig
%patch0 -p2
for kernel_version in %{?kernel_versions} ; do
	cp -a drivers/staging/crystalhd _kmod_build_${kernel_version%%___*}
done


%build
for kernel_version  in %{?kernel_versions} ; do
make %{?_smp_mflags} -C ${kernel_version##*___} \
  M=${PWD}/_kmod_build_${kernel_version%%___*} \
  CONFIG_CRYSTALHD=m \
  V=1\
  modules
done


%install
rm -rf ${RPM_BUILD_ROOT}
for kernel_version in %{?kernel_versions}; do
 mkdir -p ${RPM_BUILD_ROOT}%{kmodinstdir_prefix}/${kernel_version%%___*}/%{kmodinstdir_postfix}/
 install -D -m 755 -t ${RPM_BUILD_ROOT}%{kmodinstdir_prefix}/${kernel_version%%___*}/%{kmodinstdir_postfix}/ $(find _kmod_build_${kernel_version%%___*}/ -name '*.ko')
done
chmod u+x %{buildroot}%{_prefix}/lib/modules/*/extra/*/*
%{?akmod_install}

%clean
rm -rf %{buildroot}

%changelog
* Wed May 21 2014 Nicolas Chauvet <kwizart@gmail.com> - 20131018-2.5
- Rebuilt

* Wed Mar 12 2014 Nicolas Chauvet <kwizart@gmail.com> - 20131018-2.4
- Rebuilt for kernel

* Sat Mar 01 2014 Nicolas Chauvet <kwizart@gmail.com> - 20131018-2.3
- Rebuilt for kernel

* Mon Feb 10 2014 Nicolas Chauvet <kwizart@gmail.com> - 20131018-2.2
- Rebuilt for kernel

* Sun Jan 26 2014 Nicolas Chauvet <kwizart@gmail.com> - 20131018-2.1
- Rebuilt for kernel

* Wed Jan 15 2014 Nicolas Chauvet <kwizart@gmail.com> - 20131018-2
- Disable ARM

* Wed Jan 16 2013 Nicolas Chauvet <kwizart@gmail.com> - 20130106-1
- Initial spec file

